//******************************************
//           This is a C Template file
//ߣ   
//     
//
//ע
//****************************************** 
/*							Pin Assignment
*********************************************************************
.........................-----------------............................
01.VSS.................01|O              |20.VDD
02.P00/XIN.............02|               |19.P40/AIN0/KWI0
03.P01/XOUT............03|     QFN-20    |18.P41/AIN1/KWI1
04.P10/RESETB..........04|               |17.P42/AIN2/KWI2
05.P71/TC01/PWM01B.....05|               |16.P43/AIN3/KWI3/VREF
06.P90/TX/RX...........06|     LQFP-20   |15.P44/AIN4/KWI4       
07.P91/RX/TX...........07|               |14.P74/DVOB/AIN8/SI/KWI13
08.P72/TCA0/PPGA0B.....08|	             |13.P76/INT3/SCLK/KWI15
09.P82/TC04/PWM04B.....09|               |12.P70/TC00/PWM00B
10.P83/TC05/PWM05B.....10|	             |11.P75/INT2/SO/KWI14
.........................-----------------............................
*********************************************************************/
//******************************************
//Stack Pointer	=	0x23f (If use mq6821_x_startup.asm)
//Ram range = 0x40~0x23f
//******************************************
#ifndef	IO_MEM
#define	IO_MEM
#endif  
#include "MQ6821.h"
#include "MQ6812_REG_BIT.h"
#include "ADC_Function.h"

unsigned int ADC_VALUE_READ;
void main()
{
  //====================
	// enable IntADC
	//====================
	__asm("DI");
	EIRH.bit.b2 = 1;
	__asm("EI");
	//====================
	// set ADC config
	//====================
/***************************************
 * 
 * function :void adc_config_set(unsigned char,unsigned char,unsigned char,unsigned char)
 * 
 * *************************************/
//¶ADC_Function.h
// /******************
//  * 1st Argument
//  * ****************/
// ADC_Single		0x1		תģʽ
// ADC_Repeat		0x3		תģʽ	
// /******************
//  * 2nd Argument
//  * ****************/
// AIN_EN			0x1		ģź	
// AIN_DIS			0x0		ֹģź
// /******************
//  * 3rd Argument
//  * ****************/
// AIN0			0x0     	ѡⲿѹAIN0
// AIN1			0x1			ѡⲿѹAIN1
// AIN2			0x2			ѡⲿѹAIN2
// AIN3			0x3			ѡⲿѹAIN3
// AIN4			0x4			ѡⲿѹAIN4
// AIN5			0x5			ѡⲿѹAIN5
// AIN6			0x6			ѡⲿѹAIN6
// AIN7			0x7			ѡⲿѹAIN7
// AIN8			0x8			ѡⲿѹAIN8
// VDD4_1		0x9			ѡڲѹ (4֮1 VDD)
// AIN_GND      0xc         ڲӵ
// /******************
//  * 4th Argument
//  * ****************/
// Conv32CLK		0x0		ADתʱ-32ʱ
// Conv64CLK		0x1		ADתʱ-64ʱ
// Conv128CLK		0x2		ADתʱ-128ʱ
// Conv256CLK		0x3		ADתʱ-256ʱ
// Conv512CLK		0x4		ADתʱ-512ʱ
// Conv1024CLK		0x5 	ADתʱ-1024ʱ
//                          (*עתʱӦ趨12.8 us ~ 128 us Χ)
// /******************
//  * 5th Argument
//  * ****************/
// Vref2			0x0		ѡڲ2Vοѹ
// Vref3			0x1		ѡڲ3Vοѹ
// Vref4			0x2		ѡڲ4Vοѹ
// VDDVref			0x3		ѡڲVDDοѹ
// EXTVref			0x4		ѡⲿοѹʹAIN3ͬĵ28(P43)Ϊ
//                           ⲿοѹ룬ⲿοѹʱʹAIN3Ϊⲿѹ


	
	//set repeat mode,AIN7 input and enable,Convert time 128/fcgck,VddVref
	adc_config_set(ADC_Repeat,AIN_EN,AIN7,Conv128CLK,VDDVref);	
	
	//====================
	// start ADC
	//====================
	adc_start();
	
	//====================
	// looop
	//====================
	while(1)
	{
		WDCDR.byte = 0x4e;




		
// 		//====================
// 		// start ADC ʹõתģʽ
// 		//ADһתֶֹͣһת
// 		//====================	
// 		adc_start();		
// 		//====================
// 		// stop ADC ʹתģʽ
// 		//ADһδεתֱֶֹͣADCΪֹ
// 		//====================			
// 		adc_stop()
		
		
	}

}

