//******************************************
//           This is a C Template file
//ߣ   
//     
//
//ע
//****************************************** 
//******************************************
//Stack Pointer	=	0x23f (If use mq6821_x_startup.asm)
//Ram range = 0x40~0x23f
//******************************************
#ifndef	IO_MEM
#define	IO_MEM
#endif  
#include "MQ6821.h"
#include "MQ6812_REG_BIT.h"

void main()
{
//============================================
// setting and start TCQ00
//============================================
    P9CR.bit.b0	=1;			//set P90 output
 	__asm("DI");	
	POFFCR0.bit.b4=1; 		//[-.TC045EN,TC023EN,TC001EN	-,-,-,TCA0EN]
							//_TC00 TC01 CLK SOURCE
	EIRH.bit.b4=1; 			//[-,INTTCA0,INTTC01,INTTC00	INTRTC,INTADC,INTLVD,-]
							//_INTTC00
	__asm("EI");
	T00MOD.byte=0xF8;		//[TFF0,DBE0,TCK0[3],-,TCM0]
							//<DBE0>=1,<TCK0>=111,<TCM0>=0 10λrģʽ
	T00REGL.byte=0x5; 		//OӋrֵ
	T00REGH.byte=0x1; 		//OӋrֵ = 0x0105
	T001CR.bit.b0=1; 		//[-,-,-,COMPSL	  OUTAND,-,T01RUN,T00RUN]
							//TCQ00   
	
//============================================
// setting and start TCQ01
//============================================
    P9CR.bit.b1	=1;			//set P90 output
 	__asm("DI");	
	POFFCR0.bit.b4=1;		//[-.TC045EN,TC023EN,TC001EN	-,-,-,TCA0EN]
							//_TC00 TC01 CLK SOURCE
	EIRH.bit.b5=1; 			//[-,INTTCA0,INTTC01,INTTC00	INTRTC,INTADC,INTLVD,-]
							//_INTTC01
	__asm("EI");
	T01MOD.byte=0xF8;		//[TFF,-,TCK[3],-,TCM]
							//<TCK>=111,<TCM>=0 10λrģʽ
	T01REGL.byte=0x5; 		//OӋrֵ
	T01REGH.byte=0x1; 		//OӋrֵ = 0x0105
	T001CR.bit.b1=1; 		//[-,-,-,COMPSL	  OUTAND,-,T01RUN,T00RUN]
							//TCQ01   	
		//****************************
		// In MQ6812A ,INTTC01(03,05)  is not enable, if T00(02,04)RUN is 0
		// it will fix in the next version
		// **************************
    while(1)
	{
		WDCDR.byte= 0x4e;	//clear wdt
	}  
	
}
