//******************************************
//           This is a C Template file
//  ADC  
//ע  ĬΪģʽ
//******************************************   

#include "MQ6821.h"
#include "MQ6812_REG_BIT.h"

//-- ض庯 --//
#define uchar unsigned char
#define uint  unsigned int
#define ulong unsigned long

#define	ad_test_times	8
			
					
//p13ADҪʱ䣬
//P11ADתҪʱ

/*********************************************
******		ADC ʹע		******
**********************************************
ADC(internal Vref 2V)ʹ÷ע
MQ6801ADCжģʽģʽ(single mode)ظģʽ(repeat mode)
sample codeظģʽsingle modeΪ
6801EİѽAIN12趨ĳڲӵأʹôⷽԱʵ֡

ʹADCʱ, ۲ģʽ
ΪADCѾﵽȶǰ16ADC룬
ӵ17ԺݲΪЧݣȡ32ADCݼƽʹõ׼֮

1. ADCʼ
	1-1. ȡADC ڲVref 2V֮ʵֵ(λΪmV),  (ADC_vref2v)
	1-2. 趨ADC ΪSingle mode, ADCתʱ512us, ѡAIN3
	1-3. 16ת, 
	1-4. ADCת(˵), ȡADC ƫ(ADC_offset)
2. ADCת
	2-1. 16(ADC_count)ת, ȡ16ADC֮ܺ(ADC_sum)
	2-2. ADCȷ(ADC_result)ΪADCܺͳADC Vref ʵֵADC Vref 낎ٳADCת
	2-3. ȥADCƫ, ȱȽADC, ADCСƫ, ȡADCΪ0
	2-4. 뽫бתΪunsigned long ̬Լճ̵


//********> cADC_correct = ( iADC_value*iReal_Vref2V ) / 2000 / 32;
ADC_correct_code()_  = ƽֵ*ʵʲοѹ/οѹ
//  adc_codeıȽ, ѡڲ2Vοѹ

//********> vADC_correct = cADC_correct * 2000 / 1023;
ADC_correct_voltage(mV)_ = ADC_correct_code()*οѹ/1023
// ĿѹֵȽ, ѡڲ2Vοѹ

ע:
   ɣáVdd Vss 䲢10uf ݣȶɣùѹ
      ADԽλGND֮Ҫ103104ĵݣ֤ȶ
	ȡADCʱȶȡλ(ADCDRL)ٶȡλ(ADCDRH)
	ڲολλΪ 0xEFE3Ϊֽ, 0xEFE4Ϊֽ
***********************************************/

//ûҪıADתʱ䣬޸ADC_detectADCCR2.byteֵο



ulong ADC_buf;//̬ڴܱ۲쵽
ulong adc_value;
uint Real_Vref2V;
unsigned int GetVref(void);
extern ulong ADC_Converse(char Vref ,char AIN);
ulong ADC_detect(char Vref ,char AIN);

uchar Flag;
uint verf_2v;
//uchar verf_l,verf_h;




//*********************************************************************
// 	: GetVref()
// 	: ȡADC ڲVref 2V֮ʵֵ(λΪmV),  (ADC_vref2v)
// ע		:
//*********************************************************************
// (0x7E63)    VREF2V_h;		/* VREF2V measurement high byte(mV) by CP */
//(0x7E64)    VREF2V_l;		/* VREF2V measurement low byte(mV) by CP */ 

uint GetVref(void)
{
	__asm("LD E,(0x7E05)");		// low byte
	__asm("LD D,(0x7E06)");		// high byte

//	verf_2v = (uint)verf_h*256 + verf_l;	// mv
	
	verf_2v=__DE;
	
	if(verf_2v>2100)verf_2v=2000;
	if(verf_2v<1900)verf_2v=2000;	
	
	return verf_2v;
}

ulong ADC_Converse(char Vref ,char AIN)
{  
	 ulong adc_Ain12=0;
  
   if(Flag==0){		Flag=1; 
                  Real_Vref2V = GetVref();//	ȡADC ڲVref 2V֮ʵֵ(λΪmV),  (ADC_vref2v)
				  ADC_detect(Vref,AIN); //// 16ת, 
				  }
   if(Vref==2){	
				adc_value = ADC_detect(2,AIN);//
				adc_Ain12 = ADC_detect(2,12);//ڲֵصƫ
			
			//	ȥADCƫ, ȱȽADC, ADCСƫ, ȡADCΪ0
				if( adc_value> adc_Ain12 ) adc_value = adc_value- adc_Ain12;
					else	 adc_value = 0;
					
				//	P1DR.bit.b3=1;	//ADҪʱ,testȥ
					
			   adc_value =(adc_value*Real_Vref2V ) /1024/ad_test_times;	//2000 //2048	
				
					__asm("nop");
			
				//	P1DR.bit.b3=0;	//ADҪʱ,testȥ
							
			}
			
			
   else adc_value=ADC_detect(Vref,AIN)/ad_test_times;
   return adc_value;
   }
//*********************************************************************
// 	: ADC_detect()
// 	: 16(ADC_count)ת, ȡ16ADC֮ܺ(ADC_sum)
// ע		:
//*********************************************************************
ulong ADC_detect(char Vref ,char AIN)
{   	char  i;
	ulong adc_data = 0;	// ջʼĻʼֵȷ
//	ADCCR2.byte=0x05;//תʱ 16us	
	ADCCR2.byte=0x01;//תʱ 8us

   switch(Vref)
   { 
		case 2: ADCVRF.byte=0x00;break;
 	   	case 3: ADCVRF.byte=0x01;break;
   	 	case 4: ADCVRF.byte=0x02;break;
		case 5: ADCVRF.byte=0x03;break;	//VDD
		case 6: ADCVRF.byte=0x04;break;	//ʹⲿѹΪοֵ		
			
		default:ADCVRF.byte=0x03;break;	//VDD	
   }

    switch(AIN)//Ĭϵģʽ
   {  
   	case 0: ADCCR1.byte=0x30;break;
   	case 1: ADCCR1.byte=0x31;break;
   	case 2: ADCCR1.byte=0x32;break;
   	case 3: ADCCR1.byte=0x33;break;
   	case 4: ADCCR1.byte=0x34;break;
   	case 5: ADCCR1.byte=0x35;break;
   	case 6: ADCCR1.byte=0x36;break;
    	case 7: ADCCR1.byte=0x37;break;
   	case 8: ADCCR1.byte=0x38;break;
  		
   	case 9: ADCCR1.byte=0x39;break;	//1/4Vdd
   	case 12: ADCCR1.byte=0x3c;break;	//ground ADУ׼õ
  
	default: break;
   }

//	__asm("DI");		// οж
	for( i=0; i<ad_test_times; i++ )	
	{
		
	//	P1DR.bit.b1=1;	//ADתҪʱ,testȥ
		
		ADCCR1.bit.b7 = 1;			// start adc
		while( !ADCCR2.bit.b7 );	// ȴadcת

	///	P1DR.bit.b1=0;	//ADתҪʱ,testȥ




		(__L)=ADCDRL.byte;
		(__H)=(ADCDRH.byte&0x03);	
	//	ADC_buf=(ulong)ADCDRH.byte*256 + ADCDRL.byte;
	//	ADC_buf=(ulong)temp;
		ADC_buf=(ulong)__HL;
		ADC_buf&=0x000003ff;
		adc_data  += ADC_buf;
	}
	
	__asm("EI");		// ж
	return adc_data;
}









